## org.eclipse.ocl.cst
Enum PrePostOrBodyEnum

    java.lang.Object
      java.lang.Enum<PrePostOrBodyEnum>
          org.eclipse.ocl.cst.PrePostOrBodyEnum

All Implemented Interfaces:
  Serializable, Comparable<PrePostOrBodyEnum>, Enumerator

    public enum PrePostOrBodyEnum

extends Enum<PrePostOrBodyEnum>
implements Enumerator

A representation of the literals of the enumeration 'Pre Post Or Body Enum', and utility methods for working with them.

See Also:
  `CSTPackage.getPrePostOrBodyEnum()`

Enum Constant Summary
`BODY_LITERAL` The 'Body' literal object
`POST_LITERAL` The 'Post' literal object
`PRE_LITERAL` The 'Pre' literal object

Field Summary
`static int` `BODY` The 'Body' literal value
`static int` `POST` The 'Post' literal value
`static int` `PRE` The 'Pre' literal value
`static List<PrePostOrBodyEnum>` `VALUES` A public read-only list of all the 'Pre Post Or Body Enum' enumerators

Method Summary
`static PrePostOrBodyEnum` `get(int value)` Returns the 'Pre Post Or Body Enum' literal with the specified integer value
`static PrePostOrBodyEnum` `get(String literal)` Returns the 'Pre Post Or Body Enum' literal with the specified literal value
`static PrePostOrBodyEnum` `getByName(String name)` Returns the 'Pre Post Or Body Enum' literal with the specified name
`String` `getLiteral()`
`String` `getName()`
`int` `getValue()`
`String` `toString()` Returns the literal value of the enumerator, which is its string representation
`static PrePostOrBodyEnum` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PrePostOrBodyEnum[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PRE_LITERAL

    public static final PrePostOrBodyEnum PRE_LITERAL

  The 'Pre' literal object.

  See Also:
    `PRE`

### POST_LITERAL

    public static final PrePostOrBodyEnum POST_LITERAL

  The 'Post' literal object.

  See Also:
    `POST`

### BODY_LITERAL

    public static final PrePostOrBodyEnum BODY_LITERAL

  The 'Body' literal object.

  See Also:
    `BODY`

Field Detail

### PRE

    public static final int PRE

  The 'Pre' literal value.

  If the meaning of 'Pre' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PRE_LITERAL`, Constant Field Values

### POST

    public static final int POST

  The 'Post' literal value.

  If the meaning of 'Post' literal object isn't clear, there really should be more of a description here...

  See Also:
    `POST_LITERAL`, Constant Field Values

### BODY

    public static final int BODY

  The 'Body' literal value.

  If the meaning of 'Body' literal object isn't clear, there really should be more of a description here...

  See Also:
    `BODY_LITERAL`, Constant Field Values

### VALUES

    public static final List<PrePostOrBodyEnum> VALUES

  A public read-only list of all the 'Pre Post Or Body Enum' enumerators.

Method Detail

### values

    public static final PrePostOrBodyEnum[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(PrePostOrBodyEnum c : PrePostOrBodyEnum.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static PrePostOrBodyEnum valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static PrePostOrBodyEnum get(String literal)

  Returns the 'Pre Post Or Body Enum' literal with the specified literal value.

### getByName

    public static PrePostOrBodyEnum getByName(String name)

  Returns the 'Pre Post Or Body Enum' literal with the specified name.

### get

    public static PrePostOrBodyEnum get(int value)

  Returns the 'Pre Post Or Body Enum' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `Enumerator`

### getName

    public String getName()

  Specified by:
    `getName` in interface `Enumerator`

### getLiteral

    public String getLiteral()

  Specified by:
    `getLiteral` in interface `Enumerator`

### toString

    public String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `Enum<PrePostOrBodyEnum>`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.